require.config({
  paths: {
    zepto: '../vendor/zepto/zepto.min',
    lodash: '../vendor/lodash/lodash',
    backbone: '../vendor/backbone/backbone-min',
    text: '../vendor/requirejs-text/text',

    three: '../vendor/three.js/build/three'
  },
  shim: {
    'lodash': {
      exports: '_'
    },
    'zepto': {
      exports: '$'
    },

    'three': {
      exports: 'THREE'
    },
    'backbone': {
      deps: ['lodash', 'zepto'],
      exports: 'Backbone'
    }
  }
});

require(['app', 'zepto'], function (Application, $) {
  'use strict';
  // use app here
  var app = new Application();
  app.start();
  console.log('Running zepto %s', $(), app);


});