'use strict';

define(['backbone', 'three', 'models/tweets'], function(Backbone, THREE, TweetsCollection){
  var MainView = Backbone.View.extend({
    el: '#container',
    initialize: function(){
      this.collection = new TweetsCollection();

      this.renderer = new THREE.WebGLRenderer();
      this.scene = new THREE.Scene();
      this.camera = new THREE.PerspectiveCamera(
        45, // angle
        800/600, // aspect
        0.1, // near
        10000 // far
      );

      // create a point light
      var pointLight =
        new THREE.PointLight(0xFFFFFF);

      // set its position
      pointLight.position.x = 10;
      pointLight.position.y = 50;
      pointLight.position.z = 130;

      // add to the scene
      this.scene.add(pointLight);
      // set up the sphere vars
      var radius = 50,
          segments = 16,
          rings = 16;
      var sphereMaterial =
        new THREE.MeshLambertMaterial(
          {
            color: 0xCe0df0
          });
      // create a new mesh with
      // sphere geometry - we will cover
      // the sphereMaterial next!
      var sphere = new THREE.Mesh(

        new THREE.SphereGeometry(
          radius,
          segments,
          rings),

        sphereMaterial);

      // add the sphere to the scene
      this.scene.add(sphere);



      this.scene.add(this.camera);
      this.camera.position.z = 300;
      this.renderer.setSize(800, 600);
    },
    render: function(){

      this.$el.html(this.renderer.domElement);
      this.renderer.render(this.scene, this.camera);
      return this;
    }
  });

  return MainView;
});